{% extends "/default/default.twig" %}
{% block title %}Modulo utente{% endblock %}
{% block adding_css %}

{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-md-12">
            <h1 class="titleHeader">Modulo utente</h1>
        </div>
    </div>
<div class="row">
    <div class="col-lg-8">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="row">
                    <div class="col-lg-12">
                        <form>
                            <input id="save_utente" value="{{dirDefault}}/utente/save" type="hidden">
                        </form>
                        <form id="form_utente" method="post" action="">
                            <div class="form-group">
                                <label>ID</label>
                                <input id="id_utente" name="id_utente" class="form-control" value="{{ id_utente }}" readonly>
                            </div>

                            <div class="form-group">
                                <label>USER</label>
                                <input id="user_utente" name="user_utente" class="form-control" value="{{ user_utente }}" readonly>
                            </div>

                            <div class="form-group">
                                <label>PASSWORD</label>
                                <input id="psw_utente" name="psw_utente" class="form-control" value="{{ psw_utente }}" readonly>
                            </div>

                            <div class="form-group">
                                <label>NOME</label>
                                <input id="cognome_utente" name="cognome_utente" class="form-control" value="{{ cognome_utente }}">
                            </div>
                            <div class="form-group">
                                <label>COGNOME</label>
                                <input id="nome_utente" name="nome_utente" class="form-control" value="{{ nome_utente }}">
                            </div>

                            <div class="form-group">
                                <label>TELEFONO </label>
                                <input id="telefono_utente" name="telefono_utente" class="form-control" value="{{ telefono_utente }}">
                            </div>
                            <div class="form-group">
                                <label>EMAIL </label>
                                <input id="mail_utente" name="mail_utente" class="form-control" value="{{ mail_utente }}">
                            </div>

                            <div class="form-group" >
                                <label>ABBINATO A </label>
                                <select id="id_abbinamento_utente" name="id_abbinamento_utente" class="form-control">
                                    <option value="" selected disabled>Puoi abbinare un utente</option>
                                {% for user in all_utenti_attivi %}
                                    <option value="{{ user.id_utente }}" {%if user.id_utente == id_abbinamento_utente %} selected {% endif %}>{{ user.nome_utente }} {{ user.cognome_utente}}</option>
                                {% endfor %}
                                </select>
                            </div>

                            <hr>
                            <div class="form-group">
                                <label>APPROVATO </label>
                                <input type="checkbox" id="approvato" name="approvato" value="{{ approvato }}" {%if approvato == 1 %} checked {% endif %}>
                            </div>

                            <button type="submit" class="btn btn-primary">Salva</button>
                            <a href="{{ dirDefault }}/utente/lista" class="btn btn-primary">Torna alla lista</a>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

    <div id="utente_modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Utente</h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

{% endblock %}


{% block adding_js %}
    <!-- validation -->
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/jquery.validate.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/localization/messages_it.min.js"></script>
    <script>
    var save_utente = $("#save_utente").val();
    var verify_utente = $("#verify_utente").val();

    $(document).ready(function() {

        $("#form_utente").validate({
            onkeyup: function(element,event){
                if ( this.elementValue( element ) !== "" && (event.keyCode === 9 || event.keyCode === 13 || element.name in this.submitted) ) {
                    this.element( element );
                }
            },
            rules: {
                utente_nome: {
                    required: true
                },
                utente_cognome: {
                    required: true
                },
                utente_telefono:{
                    number:true
                }
            },
            submitHandler: function(form) {
                var request = $.ajax({
                    method: "post",
                    url: save_utente,
                    data: $('#form_utente').serialize(),
                    dataType: "json"
                });
                request.done(function( resp ) {
                    $(".modal-body").text( resp.msg );
                    $("#utente_modal").modal("show");
                    if ( resp.esito == "OK" ) {
                        $('#modal_action').click(function(){
                            window.location.href = "{{dirDefault}}/utente/lista";
                        });
                        window.location.href = "{{dirDefault}}/utente/lista";
                    }
                });
                request.fail(function( jqXHR, textStatus ) {
                    console.log("Errore "+ jqXHR +" | "+ textStatus);
                });

            },
            invalidHandler: function() {
                return false;
            }

        });

    });
    </script>
{% endblock %}